commit:     1611d161f2459419b51a90645928f2e36905f2f3
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  5 16:23:03 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat Dec  5 18:48:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1611d161

dev-python/pygobject: Version bump to 3.38.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/pygobject/Manifest                |  1 +
 dev-python/pygobject/pygobject-3.38.0.ebuild | 76 ++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/pygobject/Manifest b/dev-python/pygobject/Manifest
index c36dda5234e..13c986de10c 100644
--- a/dev-python/pygobject/Manifest
+++ b/dev-python/pygobject/Manifest
@@ -1,2 +1,3 @@
 DIST pygobject-3.34.0.tar.xz 552268 BLAKE2B 
a9cbeb644e0aa1b23067b591fe5c6299741395656631d39782a8c183a5d3a8e5e7f1a81acdefee186b7cc2bc34dda9271468b1828d5b9613ddc1256e24f1ecb8
 SHA512 
782195d22e564b88dea8d43469f0111f398b44b51a63df2fe7d07650af94d5cd037f322a5d7e405338823be3419fcdbf0113fe50b220ab1cfd07d4d01dbc4766
 DIST pygobject-3.36.1.tar.xz 556568 BLAKE2B 
cd38aec8e71ff230926327e77867d07ae0fd5549b71619301bb3be01821ea93e557ecf335ea238292176981a864b269eaa2a86da47e8fb320f187f54caf24dc4
 SHA512 
5e00dcd03dfe4f92acbf827c13c164b6b9740b2a8cef3b2dce70f96a2156fee2411c84dc669f12b910f4a93daa03ba845282832e2b09d8c887102d43764a345f
+DIST pygobject-3.38.0.tar.xz 553892 BLAKE2B 
d6add416c3f87ee9d5a56f30dbcaa599682ec5932b204f7c743d50475503ea2705e7943e6a93610d6f1c9d322723d1df6ea0f19c1cf245b2ca7d49395ca36170
 SHA512 
d63313dea2c143cf8c08a4678f1aa8e5908d503ad29c596eeb9fa1070e1231de57cf934c33031f9c4920b85e391f3b4143b46491ffd16e04e8d48871cb05e5df

diff --git a/dev-python/pygobject/pygobject-3.38.0.ebuild 
b/dev-python/pygobject/pygobject-3.38.0.ebuild
new file mode 100644
index 00000000000..880d3b6a610
--- /dev/null
+++ b/dev-python/pygobject/pygobject-3.38.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit gnome.org meson python-r1 virtualx xdg
+
+DESCRIPTION="Python bindings for GObject Introspection"
+HOMEPAGE="https://pygobject.readthedocs.io/";
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~x64-solaris ~x86-solaris"
+IUSE="+cairo examples test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=dev-libs/glib-2.48:2
+       >=dev-libs/gobject-introspection-1.54:=
+       dev-libs/libffi:=
+       cairo? (
+               >=dev-python/pycairo-1.11.1[${PYTHON_USEDEP}]
+               x11-libs/cairo[glib] )
+"
+DEPEND="${RDEPEND}
+       test? (
+               dev-libs/atk[introspection]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               x11-libs/gdk-pixbuf:2[introspection,jpeg]
+               x11-libs/gtk+:3[introspection]
+               x11-libs/pango[introspection]
+       )
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       configuring() {
+               meson_src_configure \
+                       $(meson_feature cairo pycairo) \
+                       $(meson_use test tests) \
+                       -Dpython="${EPYTHON}"
+       }
+
+       python_foreach_impl configuring
+}
+
+src_compile() {
+       python_foreach_impl meson_src_compile
+}
+
+src_test() {
+       local -x GIO_USE_VFS="local" # prevents odd issues with deleting 
${T}/.gvfs
+       local -x GIO_USE_VOLUME_MONITOR="unix" # prevent udisks-related 
failures in chroots, bug #449484
+
+       testing() {
+               local -x XDG_CACHE_HOME="${T}/${EPYTHON}"
+               meson_src_test || die "test failed for ${EPYTHON}"
+       }
+       virtx python_foreach_impl testing
+}
+
+src_install() {
+       installing() {
+               meson_src_install
+               python_optimize
+       }
+       python_foreach_impl installing
+       use examples && dodoc -r examples
+}

Reply via email to